Bug 221117 - Latest mesa SRPM does not build against libdrm-2.3.0
Latest mesa SRPM does not build against libdrm-2.3.0
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-01 21:19 EST by Chris Rankin
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 6.5.1-9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-29 18:04:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Rankin 2007-01-01 21:19:26 EST
Description of problem:
Cannot build SRPM mesa-6.5.1-8.fc6 after upgrading to libdrm-2.3.0

Version-Release number of selected component (if applicable):
6.5.1-8

How reproducible:
All the time.

Steps to Reproduce:
1. Install libdrm-2.3.0-1
2. rpmbuild --rebuild mesa-6.5.1-8.fc6.src.rpm
3. Behold as the Universe explodes for your pleasure.
  
Actual results:
mesa fails in the mach64 DRI driver. So it's safe to assume that all mach64
users are broken now. Possibly others too.

Expected results:
mesa-6.5.1-8.i386.rpm

Additional info:
I have tried to hack around this by manually creating a Mesa-6.5.2 set of
packages. The problem with that is that GenTexturesEXT, IsTextureEXT and
AreTexturesResidentEXT have all disappeared from the dispatch table between Mesa
versions 6.5.1 and 6.5.2, which means that now I can't compile
xorg-x11-server-1.1.1-47.2.fc6.src.rpm. I have tried to hack around THAT by
using CALL_GenTextures(), CALL_AreTexturesResident() and CALL_IsTexture()
instead in the GL/glx/indirect_dispatch.c and GL/glx/indirect_dispatch_swap.c
files, but I can't say that I'm happy about that either.
Comment 1 Adam Jackson 2007-01-24 16:14:18 EST
Looks like just a mach64 issue.  Built a plausible fix as 6.5.1-9, which I'll
push out to updates-testing.
Comment 2 Fedora Update System 2007-01-26 11:56:52 EST
mesa-6.5.1-9.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 3 Joachim Frieben 2007-01-27 08:11:48 EST
The package "mesa-6.5.1-9.fc6" builds fine now. Please close this bug.
Comment 4 Adam Jackson 2007-01-29 18:04:34 EST
Done.
Comment 5 Fedora Update System 2007-01-31 11:39:04 EST
mesa-6.5.1-9.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.